package guard.api.sensitive.ui.sapiguard.hookedapis;

import java.util.ArrayList;
import java.util.List;

import guard.api.sensitive.ui.sapiguard.XHook;
import guard.api.sensitive.ui.sapiguard.utils.XParam;

public class XResources extends XHook {
	private Methods mMethod;

	private XResources(Methods method) {
		super(null, method.name(), null);
		mMethod = method;
	}

	public String getClassName() {
		return "android.content.res.Resources";
	}

	// public void updateConfiguration(Configuration config, ...)
	// frameworks/base/core/java/android/content/res/Resources.java
	// http://developer.android.com/reference/android/content/res/Resources.html
	// http://developer.android.com/reference/android/content/res/Configuration.html

	private enum Methods {
		updateConfiguration
	};

	public static List<XHook> getInstances() {
		List<XHook> listHook = new ArrayList<XHook>();
		listHook.add(new XResources(Methods.updateConfiguration));
		return listHook;
	}

	@Override
	protected void before(XParam param) throws Throwable {

	}

	@Override
	protected void after(XParam param) throws Throwable {
		// Do nothing
	}
}
